Debian Bug report logs - #619236
installation-reports: installation works fine on PS3 now, but we still can't boot after the installation

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Antonio Ospite <ospite@studenti.unina.it>

Date: Tue, 22 Mar 2011 09:33:01 UTC

Severity: normal

Tags: d-i

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, cbe-oss-dev@lists.ozlabs.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#619236; Package installation-reports. (Tue, 22 Mar 2011 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
New Bug report received and forwarded. Copy sent to cbe-oss-dev@lists.ozlabs.org, Debian Install Team <debian-boot@lists.debian.org>. (Tue, 22 Mar 2011 09:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-reports: installation works fine on PS3 now, but we still can't boot after the installation
Date: Tue, 22 Mar 2011 10:29:26 +0100
Package: installation-reports
Severity: important
Tags: d-i



-- Package-specific info:

Boot method: CD
Image version: http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/powerpc/iso-cd/debian-testing-powerpc-netinst.iso 19-Mar-2011 10:28
Date: 19-Mar-2011 15:00

Machine: Sony PS3
Partitions:
Filesystem    Type   1K-blocks      Used Available Use% Mounted on
/dev/ps3da1   ext4    25635140   1149880  23183040   5% /
tmpfs        tmpfs      112732         0    112732   0% /lib/init/rw
udev         tmpfs       50056       128     49928   1% /dev
tmpfs        tmpfs      112732         0    112732   0% /dev/shm

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [E]
Overall install:        [O]

Comments/Problems:

Hi,

the installation on PS3 now completes pretty fine, however there are 
still some details that could be improved.

The installer warns about the boot loader not being installed, which is 
fine, I already had the 'petitboot' bootloader installed, but some 
configuration is still needed to make the system actually boot _after_ 
the installation.

petitboot needs a /etc/kboot.conf in the root filesystem with this 
content to successfully boot the installed system:

linux=/boot/vmlinux initrd=/boot/initrd.img root=/dev/ps3da1 quiet

On my installation the / mount point is for /dev/ps3da1, and /boot is on 
the same partition, but a script like the following can be used to 
figure these things out after the installation:

----[ BEGIN build_kboot.conf.sh ]-------
#!/bin/sh

ROOTFS="$(mount | grep ' / ' | cut -d ' ' -f 1)"
OLD_CMDLINE=$(cat /proc/cmdline | sed -e 's/root=[^[:space:]]*\s//')

CMDLINE="root=$ROOTFS $OLD_CMDLINE"

find /boot -type f -name "vmlinu*" |
while read file;
do
  VERSION="$(echo "$file" | cut -d '-' -f 2- )";
  echo -n "$VERSION=$file";
  echo -n " initrd=/boot/initrd.img-$VERSION";
  echo -n " $CMDLINE"
  echo
done
----[ END build_kboot.conf.sh ]-------

Can the /etc/kboot.conf file be created by the installer automatically 
when the system is a PS3? (Ideally kboot.conf should be recreated after 
each kernel install).

Also, can the installer be told to install the ps3-utils package
automatically when the system is a PS3?

It looks like these system dependent configurations are done in 
hw-detect, I'll try to provide a patch for these, but some guidance will 
be very much appreciated.

Thanks,
   Antonio Ospite
   http://ao2.it

-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.

==============================================
Installer lsb-release:
==============================================
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
DISTRIB_RELEASE="7.0 (wheezy) - installer build 20110318-00:16"
X_INSTALLATION_MEDIUM=cdrom

==============================================
Installer hardware-summary:
==============================================
uname -a: Linux ps3 2.6.37-2-powerpc64 #1 SMP Sun Feb 27 13:21:25 UTC 2011 ppc64 GNU/Linux
usb-list: 
usb-list: Bus 01 Device 01: PS3 EHCI Host Controller [1d6b:0002]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.37-2-powerpc64 ehci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 01 Device 02: USB2.0 Hub [05e3:0607]
usb-list:    Level 01 Parent 01 Port 01  Class 09(hub  ) Subclass 00 Protocol 02
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 02 Driver hub
usb-list: 
usb-list: Bus 01 Device 03: Wireless Keyboard/Mouse [099a:7202]
usb-list:    Level 02 Parent 02 Port 00  Class 00(>ifc ) Subclass 00 Protocol 00
usb-list:    Interface 00: Class 03(HID  ) Subclass 01 Protocol 01 Driver usbhid
usb-list:    Interface 01: Class 03(HID  ) Subclass 01 Protocol 02 Driver usbhid
usb-list: 
usb-list: Bus 02 Device 01: PS3 EHCI Host Controller [1d6b:0002]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.37-2-powerpc64 ehci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 02 Device 02: Bluetooth Transceiver [054c:0267]
usb-list:    Level 01 Parent 01 Port 01  Class e0(wlcon) Subclass 01 Protocol 01
usb-list:    Manufacturer: Sony
usb-list:    Interface 00: Class e0(wlcon) Subclass 01 Protocol 01 Driver <none>
usb-list:    Interface 01: Class e0(wlcon) Subclass 01 Protocol 01 Driver <none>
usb-list:    Interface 02: Class e0(wlcon) Subclass 01 Protocol 01 Driver <none>
usb-list:    Interface 03: Class fe(app. ) Subclass 01 Protocol 00 Driver <none>
usb-list: 
usb-list: Bus 03 Device 01: PS3 OHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.37-2-powerpc64 ohci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 04 Device 01: PS3 OHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.37-2-powerpc64 ohci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
lsmod: Module                  Size  Used by
lsmod: dm_mod                 94845  0 
lsmod: md_mod                123918  0 
lsmod: xfs                   819164  0 
lsmod: exportfs                6527  1 xfs
lsmod: jfs                   209372  0 
lsmod: ext4                  400290  1 
lsmod: jbd2                   89412  1 ext4
lsmod: crc16                   2951  1 ext4
lsmod: ext3                  159160  0 
lsmod: jbd                    63719  1 ext3
lsmod: btrfs                 745846  0 
lsmod: zlib_deflate           23161  1 btrfs
lsmod: crc32c                  4918  1 
lsmod: libcrc32c               3194  1 btrfs
lsmod: vfat                   14467  0 
lsmod: fat                    66121  1 vfat
lsmod: ext2                   86684  0 
lsmod: mbcache                 9713  3 ext4,ext3,ext2
lsmod: ps3_gelic              45303  0 
lsmod: ps3disk                10573  3 
lsmod: isofs                  39196  0 
lsmod: usb_storage            53811  0 
lsmod: usbhid                 48363  0 
lsmod: hid                    87888  1 usbhid
lsmod: ohci_hcd               59360  0 
lsmod: sg                     32641  0 
lsmod: sr_mod                 22256  0 
lsmod: cdrom                  42303  1 sr_mod
lsmod: ehci_hcd               79613  0 
lsmod: ps3rom                  7464  0 
lsmod: ps3stor_lib             6777  2 ps3disk,ps3rom
lsmod: scsi_mod              209348  4 usb_storage,sg,sr_mod,ps3rom
lsmod: usbcore               186086  5 usb_storage,usbhid,ohci_hcd,ehci_hcd
lsmod: nls_base                9641  5 jfs,vfat,fat,isofs,usbcore
df: Filesystem           1K-blocks      Used Available Use% Mounted on
df: tmpfs                   113040        28    113012   0% /dev
df: /dev/ps3da1           25635140    725860  23607060   3% /target
df: /dev/ps3da1           25635140    725860  23607060   3% /dev/.static/dev
df: tmpfs                   113040        28    113012   0% /target/dev
free:              total         used         free       shared      buffers
free: Mem:        226080       209216        16864            0        15572
free: -/+ buffers:             193644        32436
free: Swap:       440316          320       439996
/proc/cmdline: DEBCONF_PRIORITY=low -- ramdisk_size=10240 ro video=ps3fb:mode:6 
/proc/cpuinfo: processor	: 0
/proc/cpuinfo: cpu		: Cell Broadband Engine, altivec supported
/proc/cpuinfo: clock		: 3192.000000MHz
/proc/cpuinfo: revision	: 16.0 (pvr 0070 1000)
/proc/cpuinfo: 
/proc/cpuinfo: processor	: 1
/proc/cpuinfo: cpu		: Cell Broadband Engine, altivec supported
/proc/cpuinfo: clock		: 3192.000000MHz
/proc/cpuinfo: revision	: 16.0 (pvr 0070 1000)
/proc/cpuinfo: 
/proc/cpuinfo: timebase	: 79800000
/proc/cpuinfo: platform	: PS3
/proc/cpuinfo: model		: SonyPS3
/proc/iomem: 08000000-0effffff : System RAM
/proc/iomem: 4000001b0000-4000001bffff : ehci_hcd
/proc/iomem: 4000001c0000-4000001cffff : ehci_hcd
/proc/iomem: 4000001d0000-4000001dffff : ohci_hcd
/proc/iomem: 4000001e0000-4000001effff : ohci_hcd
/proc/interrupts:            CPU0       CPU1       
/proc/interrupts:  16:          0          0   ps3              Edge         ipi call function
/proc/interrupts:  17:          0     122488   ps3              Edge         ipi reschedule
/proc/interrupts:  18:          0       1098   ps3              Edge         ipi call function single
/proc/interrupts:  19:          0          0   ps3              Edge         ipi debugger
/proc/interrupts:  20:          0          0   ps3              Edge         ipi call function
/proc/interrupts:  21:     113308          0   ps3              Edge         ipi reschedule
/proc/interrupts:  22:        621          0   ps3              Edge         ipi call function single
/proc/interrupts:  23:          0          0   ps3              Edge         ipi debugger
/proc/interrupts:  24:          0          0   ps3              Edge         spe00.0
/proc/interrupts:  25:          0          0   ps3              Edge         spe00.1
/proc/interrupts:  26:          0          0   ps3              Edge         spe00.2
/proc/interrupts:  27:          0          0   ps3              Edge         spe01.0
/proc/interrupts:  28:          0          0   ps3              Edge         spe01.1
/proc/interrupts:  29:          0          0   ps3              Edge         spe01.2
/proc/interrupts:  30:          0          0   ps3              Edge         spe02.0
/proc/interrupts:  31:          0          0   ps3              Edge         spe02.1
/proc/interrupts:  32:          0          0   ps3              Edge         spe02.2
/proc/interrupts:  33:          0          0   ps3              Edge         spe03.0
/proc/interrupts:  34:          0          0   ps3              Edge         spe03.1
/proc/interrupts:  35:          0          0   ps3              Edge         spe03.2
/proc/interrupts:  36:          0          0   ps3              Edge         spe04.0
/proc/interrupts:  37:          0          0   ps3              Edge         spe04.1
/proc/interrupts:  38:          0          0   ps3              Edge         spe04.2
/proc/interrupts:  39:          0          0   ps3              Edge         spe05.0
/proc/interrupts:  40:          0          0   ps3              Edge         spe05.1
/proc/interrupts:  41:          0          0   ps3              Edge         spe05.2
/proc/interrupts:  42:          5          0   ps3              Edge         ps3_notification
/proc/interrupts:  43:         14          0   ps3              Edge         vuart
/proc/interrupts:  44:     174136          0   ps3              Edge         ps3fb
/proc/interrupts:  45:       3829          0   ps3              Edge         ps3rom
/proc/interrupts:  46:        308          0   ps3              Edge         ehci_hcd:usb1
/proc/interrupts:  47:         14          0   ps3              Edge         ehci_hcd:usb2
/proc/interrupts:  48:          1          0   ps3              Edge         ohci_hcd:usb3
/proc/interrupts:  49:          1          0   ps3              Edge         ohci_hcd:usb4
/proc/interrupts:  50:     114033          0   ps3              Edge         ps3disk
/proc/interrupts:  51:      67388          0   ps3              Edge         eth0
/proc/interrupts: LOC:     161332     112035   Local timer interrupts
/proc/interrupts: SPU:          0          0   Spurious interrupts
/proc/interrupts: CNT:          0          0   Performance monitoring interrupts
/proc/interrupts: MCE:          0          0   Machine check exceptions
/proc/meminfo: MemTotal:         226080 kB
/proc/meminfo: MemFree:           16924 kB
/proc/meminfo: Buffers:           15572 kB
/proc/meminfo: Cached:           160864 kB
/proc/meminfo: SwapCached:          248 kB
/proc/meminfo: Active:            73704 kB
/proc/meminfo: Inactive:          61288 kB
/proc/meminfo: Active(anon):       1064 kB
/proc/meminfo: Inactive(anon):     2396 kB
/proc/meminfo: Active(file):      72640 kB
/proc/meminfo: Inactive(file):    58892 kB
/proc/meminfo: Unevictable:       44824 kB
/proc/meminfo: Mlocked:               0 kB
/proc/meminfo: SwapTotal:        440316 kB
/proc/meminfo: SwapFree:         439996 kB
/proc/meminfo: Dirty:               364 kB
/proc/meminfo: Writeback:             0 kB
/proc/meminfo: AnonPages:          3352 kB
/proc/meminfo: Mapped:             2372 kB
/proc/meminfo: Shmem:                28 kB
/proc/meminfo: Slab:              19376 kB
/proc/meminfo: SReclaimable:      13900 kB
/proc/meminfo: SUnreclaim:         5476 kB
/proc/meminfo: KernelStack:        1120 kB
/proc/meminfo: PageTables:          492 kB
/proc/meminfo: NFS_Unstable:          0 kB
/proc/meminfo: Bounce:                0 kB
/proc/meminfo: WritebackTmp:          0 kB
/proc/meminfo: CommitLimit:      553356 kB
/proc/meminfo: Committed_AS:       8448 kB
/proc/meminfo: VmallocTotal:   8589934592 kB
/proc/meminfo: VmallocUsed:        6816 kB
/proc/meminfo: VmallocChunk:   8589917268 kB
/proc/meminfo: HugePages_Total:       0
/proc/meminfo: HugePages_Free:        0
/proc/meminfo: HugePages_Rsvd:        0
/proc/meminfo: HugePages_Surp:        0
/proc/meminfo: Hugepagesize:      16384 kB
/proc/bus/input/devices: I: Bus=0003 Vendor=099a Product=7202 Version=0111
/proc/bus/input/devices: N: Name="Wireless Keyboard/Mouse"
/proc/bus/input/devices: P: Phys=usb-sb_05-2.1/input0
/proc/bus/input/devices: S: Sysfs=/devices/ps3_system/sb_05/usb1/1-2/1-2.1/1-2.1:1.0/input/input0
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=sysrq kbd 
/proc/bus/input/devices: B: EV=120013
/proc/bus/input/devices: B: KEY=10000 7 ff9f207a c14057ff febeffdf ffefffff ffffffff fffffffe
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: B: LED=7
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=099a Product=7202 Version=0111
/proc/bus/input/devices: N: Name="Wireless Keyboard/Mouse"
/proc/bus/input/devices: P: Phys=usb-sb_05-2.1/input1
/proc/bus/input/devices: S: Sysfs=/devices/ps3_system/sb_05/usb1/1-2/1-2.1/1-2.1:1.1/input/input1
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd mouse0 
/proc/bus/input/devices: B: EV=1f
/proc/bus/input/devices: B: KEY=837fff 2c3027 bf004444 0 0 70001 c04 b27c000 267bfa d9415fed 8e0000 0 0 0
/proc/bus/input/devices: B: REL=143
/proc/bus/input/devices: B: ABS=1 0
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: 

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: powerpc (ppc64)

Kernel: Linux 2.6.32-5-powerpc64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#619236; Package installation-reports. (Wed, 30 Mar 2011 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoff@infradead.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 30 Mar 2011 22:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 619236@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoff@infradead.org>
To: Antonio Ospite <ospite@studenti.unina.it>, <619236@bugs.debian.org>
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: [Cbe-oss-dev] Bug#619236: installation-reports: installation works fine on PS3 now, but we still can't boot after the installation
Date: Wed, 30 Mar 2011 15:03:26 -0700
On 03/22/2011 02:29 AM, Antonio Ospite wrote:
> Hi,
> 
> the installation on PS3 now completes pretty fine, however there are 
> still some details that could be improved.
> 
> The installer warns about the boot loader not being installed, which is 
> fine, I already had the 'petitboot' bootloader installed, but some 
> configuration is still needed to make the system actually boot _after_ 
> the installation.
> 
> petitboot needs a /etc/kboot.conf in the root filesystem with this 
> content to successfully boot the installed system:
> 
> linux=/boot/vmlinux initrd=/boot/initrd.img root=/dev/ps3da1 quiet
> 

I could successfully do a gnome desktop install using the
20110329 daily:

  http://cdimage.debian.org/cdimage/daily-builds/daily/20110329-5/powerpc/iso-cd/debian-testing-powerpc-netinst.iso

I encountered the same problems as Antonio.  Once the installer
was finished, but before it rebooted the system I used this from
a tty console:

  echo 'linux=/boot/vmlinux initrd=/boot/initrd.img root=/dev/ps3da1' > /target/etc/kboot.conf

-Geoff





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#619236; Package installation-reports. (Fri, 15 Apr 2011 15:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 15 Apr 2011 15:15:07 GMT) Full text and rfc822 format available.

Message #15 received at 619236@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: Geoff Levand <geoff@infradead.org>
Cc: 619236@bugs.debian.org
Subject: Re: [Cbe-oss-dev] Bug#619236: installation-reports: installation works fine on PS3 now, but we still can't boot after the installation
Date: Fri, 15 Apr 2011 17:08:20 +0200
[Message part 1 (text/plain, inline)]
On Wed, 30 Mar 2011 15:03:26 -0700
Geoff Levand <geoff@infradead.org> wrote:

> On 03/22/2011 02:29 AM, Antonio Ospite wrote:
> > Hi,
> > 
> > the installation on PS3 now completes pretty fine, however there are 
> > still some details that could be improved.
> > 
> > The installer warns about the boot loader not being installed, which is 
> > fine, I already had the 'petitboot' bootloader installed, but some 
> > configuration is still needed to make the system actually boot _after_ 
> > the installation.
> > 
> > petitboot needs a /etc/kboot.conf in the root filesystem with this 
> > content to successfully boot the installed system:
> > 
> > linux=/boot/vmlinux initrd=/boot/initrd.img root=/dev/ps3da1 quiet
> > 
[...]

> I encountered the same problems as Antonio.  Once the installer
> was finished, but before it rebooted the system I used this from
> a tty console:
> 
>   echo 'linux=/boot/vmlinux initrd=/boot/initrd.img root=/dev/ps3da1' > /target/etc/kboot.conf
> 
> -Geoff

Hi,

I've gone a little bit further on this: I started to put together a
kboot-mkconfig script (shamelessly copied from grub-mkconfig) along
with an update-kboot and some kernel install hooks, you can find it
here:

http://git.ao2.it/kboot-utils.git/

You can build the package with "dpkg-buildpackage -tc".

The idea is to have d-i to install this kboot-utils package when
machine==PS3, and let the postinst script of the package generate
the kboot.conf for us, but I haven't got that far yet.

The main concern is about how to detect the actual device the rootfs is
going to be on, right now I am doing:
	LINUX_ROOT_DEVICE="$(mount | grep ' / ' | cut -d ' ' -f 1)"

and my current understanding is that this is going to work even from
the installer because d-i would be calling apt in a "chroot /target"
context when installing the kboot-utils package, but I'd like to have
some confirmation about that.

And a review about the state of the package will be appreciated too.

With Kind Regards,
   Antonio

-- 
Antonio Ospite
http://ao2.it

PGP public key ID: 0x4553B001

A: Because it messes up the order in which people normally read text.
   See http://en.wikipedia.org/wiki/Posting_style
Q: Why is top-posting such a bad thing?
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#619236; Package installation-reports. (Thu, 22 Sep 2011 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 22 Sep 2011 14:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 619236@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: debian-mentors@lists.debian.org
Cc: cbe-oss-dev@lists.ozlabs.org, Geoff Levand <geoff@infradead.org>, 619236@bugs.debian.org
Subject: RFS: kboot-utils -- needed for d-i to complete on PS3
Date: Thu, 22 Sep 2011 16:32:41 +0200
[Message part 1 (text/plain, inline)]
Hi Debian Mentors,

I am looking for a sponsor for my package "kboot-utils", it is needed
to make debian-installer complete a successful installation on
PlayStation3. I am also the upstream author.

* Package name    : kboot-utils
  Version         : 0.1
  Upstream Author : Antonio Ospite <ospite@studenti.unina.it>
* URL             : http://git.ao2.it/kboot-utils.git/
* License         : GPLv3
  Programming Lang: Posix shell

It builds the binary package: kboot-utils

To access further information about this package, please visit the
following URL:

  http://bugs.debian.org/641465

The package can be downloaded with dget using this command:

  dget -u http://ao2.it/debian/kboot-utils_0.1-1.dsc

The source package can be now found in the 'debian' branch at:
  
  http://git.ao2.it/kboot-utils.git/

please keep in mind that I am still learning how to deal with
git-buildpackage.

The package has been tested with pbuilder, checked with lintian,
verified it is piuparts-clean, but there might very well still be
something worth fixing.

I packaged kboot-utils (Helper tools to generate a kboot.conf file) for
debian, and I'd like to ask if someone can *review* the package and 
maybe eventually sponsor me for upload to the main archive.
At the end of the day it will be needed to have a 100% working
installation on the PlayStation3, see Bug #619236:

  http://bugs.debian.org/619236

The plan is to first have kboot-utils in the official archive and then
make d-i install it when machine==PS3.

Thanks,
   Antonio

-- 
Antonio Ospite
http://ao2.it

PGP public key ID: 0x4553B001

A: Because it messes up the order in which people normally read text.
   See http://en.wikipedia.org/wiki/Posting_style
Q: Why is top-posting such a bad thing?
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#619236; Package installation-reports. (Sun, 02 Oct 2011 14:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 02 Oct 2011 14:21:05 GMT) Full text and rfc822 format available.

Message #25 received at 619236@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: debian-mentors@lists.debian.org
Cc: cbe-oss-dev@lists.ozlabs.org, Geoff Levand <geoff@infradead.org>, 619236@bugs.debian.org
Subject: Re: RFS: kboot-utils -- needed for d-i to complete on PS3
Date: Sun, 2 Oct 2011 16:15:00 +0200
[Message part 1 (text/plain, inline)]
On Fri, 23 Sep 2011 14:01:11 +0200
Antonio Ospite <ospite@studenti.unina.it> wrote:

> Thanks for the review Gergely, I am now proposing a new package based on
> a new upstream version 0.1a:
[...]

ping.

Plus, I updated the package, now it is based on kboot-utils-0.2, which
fixes several problems of the first version:

The source package
  dget -u http://ao2.it/debian/kboot-utils_0.2-1.dsc

The binary package:
  http://ao2.it/debian/kboot-utils_0.2-1_all.deb

Thanks,
   Antonio

-- 
Antonio Ospite
http://ao2.it

PGP public key ID: 0x4553B001

A: Because it messes up the order in which people normally read text.
   See http://en.wikipedia.org/wiki/Posting_style
Q: Why is top-posting such a bad thing?
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#619236; Package installation-reports. (Tue, 11 Oct 2011 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 11 Oct 2011 07:57:03 GMT) Full text and rfc822 format available.

Message #30 received at 619236@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: debian-mentors@lists.debian.org, debian-powerpc@lists.debian.org
Cc: cbe-oss-dev@lists.ozlabs.org, Geoff Levand <geoff@infradead.org>, 619236@bugs.debian.org
Subject: RFS: kboot-utils (resend) -- needed for d-i to complete on PS3
Date: Tue, 11 Oct 2011 09:51:17 +0200
[Message part 1 (text/plain, inline)]
Hi Debian Mentors and Debian PPCers,

I am looking for a sponsor for my package "kboot-utils", it is needed
to make debian-installer complete a successful installation on
PlayStation3. I am also the upstream author.

* Package name    : kboot-utils
  Version         : 0.2
  Upstream Author : Antonio Ospite <ospite@studenti.unina.it>
* URL             : http://git.ao2.it/kboot-utils.git/
* License         : GPLv3
  Programming Lang: Posix shell
  Description: Helper tools to automatically generate a kboot.conf file 
    from entries in /boot.

    The kboot.conf file can be read by the petitboot bootloader which is
    used for instance on the Sony PlayStation 3 in OtherOS mode in
    order to list kernels to boot.
    
It builds the binary package: kboot-utils

The package can be downloaded with dget using this command:

  dget -u http://ao2.it/debian/kboot-utils_0.2-1.dsc

The source package can be found in the 'debian' branch at:
  
  http://git.ao2.it/kboot-utils.git/

The package has been tested with pbuilder, checked with lintian,
verified to be piuparts-clean.

As I was saying this package is needed to have a 100% working
installation on the PlayStation3, for details look at Bug #619236:

  http://bugs.debian.org/619236

you can also read on the wiki that as for now kboot.conf needs to
be created by hand:

  http://wiki.debian.org/PS3#Debian_installer

The plan is to first have kboot-utils in the official archive and then
make d-i install it when machine==PS3.

Thanks,
   Antonio

-- 
Antonio Ospite
http://ao2.it

PGP public key ID: 0x4553B001

A: Because it messes up the order in which people normally read text.
   See http://en.wikipedia.org/wiki/Posting_style
Q: Why is top-posting such a bad thing?
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'installation-reports' to 'debian-installer'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 02 Sep 2013 14:33:14 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 02 Sep 2013 14:33:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#619236; Package debian-installer. (Wed, 04 Sep 2013 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Levand <geoff@infradead.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 04 Sep 2013 21:57:04 GMT) Full text and rfc822 format available.

Message #39 received at 619236@bugs.debian.org (full text, mbox):

From: Geoff Levand <geoff@infradead.org>
To: 619236@bugs.debian.org
Cc: cbe-oss-dev@lists.ozlabs.org, Antonio Ospite <ospite@studenti.unina.it>, Holger Levsen <holger@layer-acht.org>
Subject: debian PS3 installation kboot.conf needed
Date: Wed, 04 Sep 2013 14:01:16 -0700
We still have a need for the kboot-utils package in debian.  Recent
daily builds of D-I work fine on PS3, but the installed system still
cannot boot due to lack of a kboot.conf file for the PS3's native
bootloader (petitboot).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#619236; Package debian-installer. (Sun, 02 Mar 2014 21:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 02 Mar 2014 21:24:04 GMT) Full text and rfc822 format available.

Message #44 received at 619236@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Geoff Levand <geoff@infradead.org>, 619236@bugs.debian.org
Cc: cbe-oss-dev@lists.ozlabs.org, Antonio Ospite <ospite@studenti.unina.it>, Holger Levsen <holger@layer-acht.org>, debian-powerpc@lists.debian.org
Subject: Re: Bug#619236: debian PS3 installation kboot.conf needed
Date: Sun, 2 Mar 2014 22:21:28 +0100
[Message part 1 (text/plain, inline)]
Adding -powerpc to the loop. Initial bug report:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=619236

Geoff Levand <geoff@infradead.org> (2013-09-04):
> We still have a need for the kboot-utils package in debian.  Recent
> daily builds of D-I work fine on PS3, but the installed system still
> cannot boot due to lack of a kboot.conf file for the PS3's native
> bootloader (petitboot).

Is anyone working on getting better PS3 support?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#619236; Package debian-installer. (Mon, 03 Mar 2014 09:42:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ao2@ao2.it>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 03 Mar 2014 09:42:20 GMT) Full text and rfc822 format available.

Message #49 received at 619236@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ao2@ao2.it>
To: Cyril Brulebois <kibi@debian.org>
Cc: Geoff Levand <geoff@infradead.org>, 619236@bugs.debian.org, cbe-oss-dev@lists.ozlabs.org, Antonio Ospite <ospite@studenti.unina.it>, Holger Levsen <holger@layer-acht.org>, debian-powerpc@lists.debian.org
Subject: Re: Bug#619236: debian PS3 installation kboot.conf needed
Date: Mon, 3 Mar 2014 10:38:12 +0100
Hi Cyril,

On Sun, 2 Mar 2014 22:21:28 +0100
Cyril Brulebois <kibi@debian.org> wrote:

> Adding -powerpc to the loop. Initial bug report:
>   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=619236
> 
> Geoff Levand <geoff@infradead.org> (2013-09-04):
> > We still have a need for the kboot-utils package in debian.  Recent
> > daily builds of D-I work fine on PS3, but the installed system still
> > cannot boot due to lack of a kboot.conf file for the PS3's native
> > bootloader (petitboot).
> 
> Is anyone working on getting better PS3 support?

kboot-utils is in Debian[1] already, all that is missing is to find a
way to tell the installer:

	"if this system is a PS3, then install kboot-utils"

Can anyone suggest where this kind of logic can be added in d-i?
I didn't manage to allocate enough time to look deeper into that.

Thanks,
   Antonio

[1] http://packages.qa.debian.org/k/kboot-utils.html

-- 
Antonio Ospite
http://ao2.it

A: Because it messes up the order in which people normally read text.
   See http://en.wikipedia.org/wiki/Posting_style
Q: Why is top-posting such a bad thing?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#619236; Package debian-installer. (Thu, 20 Mar 2014 08:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <w@uter.be>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 20 Mar 2014 08:39:05 GMT) Full text and rfc822 format available.

Message #54 received at 619236@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <w@uter.be>
To: Antonio Ospite <ao2@ao2.it>, 619236@bugs.debian.org
Subject: Re: Bug#619236: debian PS3 installation kboot.conf needed
Date: Thu, 20 Mar 2014 09:34:41 +0100
[Message part 1 (text/plain, inline)]
Op maandag 3 maart 2014 10:38:12 schreef Antonio Ospite:
> kboot-utils is in Debian[1] already, all that is missing is to find a
> way to tell the installer:
> 
> 	"if this system is a PS3, then install kboot-utils"
> 
> Can anyone suggest where this kind of logic can be added in d-i?
> I didn't manage to allocate enough time to look deeper into that.

If the PS3 needs some special partitioning (it's been a while since I 
upgraded my PS3 to something that can't run Linux anymore, so I don't 
remember) then I would suggest a partman module.

If not, I guess finish-install is the best place to do it.

-- 
This end should point toward the ground if you want to go to space.

If it starts pointing toward space you are having a bad problem and you
will not go to space today.

  -- http://xkcd.com/1133/

[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:26:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.